org.apache.tinkerpop.gremlin.structure

## Class FeatureSupportTest.ElementPropertyDataTypeFunctionalityTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.structure.FeatureSupportTest.ElementPropertyDataTypeFunctionalityTest

- Enclosing class:
    FeatureSupportTest

      public static class FeatureSupportTest.ElementPropertyDataTypeFunctionalityTest
      extends AbstractGremlinTest

  Feature checks that test `Element` `Property` functionality to determine if a feature should be on when it is marked as not supported.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `featureName`
    `Object` | `value`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElementPropertyDataTypeFunctionalityTest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Iterable<Object[]>` | `data()`
    `void` | `shouldEnableFeatureOnEdgeIfNotEnabled()`
    `void` | `shouldEnableFeatureOnVertexIfNotEnabled()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### featureName

          public String featureName

    - #### value

          public Object value

  - ### Constructor Detail

    - #### ElementPropertyDataTypeFunctionalityTest

          public ElementPropertyDataTypeFunctionalityTest()

  - ### Method Detail

    - #### data

          public static Iterable<Object[]> data()

    - #### shouldEnableFeatureOnEdgeIfNotEnabled

          public void shouldEnableFeatureOnEdgeIfNotEnabled()
                                                     throws Exception

      Throws:
        `Exception`

    - #### shouldEnableFeatureOnVertexIfNotEnabled

          public void shouldEnableFeatureOnVertexIfNotEnabled()
                                                       throws Exception

      Throws:
        `Exception`

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.